import os
import click
from flask_wiz import create_app

@click.group()
def cli():
    pass

@click.argument('name')
def new(name):
    app = create_app()
    # Additional setup code for the new project (e.g., creating files, folders, etc.)
    click.echo(f'New Flask project "{name}" created successfully!')


@cli.command()
@click.argument('name')
def new(name):
    app = create_app()
    os.makedirs(name)
    os.chdir(name)
    with open('.gitignore', 'w') as gitignore_file:
        gitignore_file.write("# Default .gitignore for Flask project\n")
        gitignore_file.write("venv/\n")
        gitignore_file.write("__pycache__/\n")
        gitignore_file.write(".vscode/\n")

    with open('.env', 'w') as env_file:
        env_file.write("# Default .env file for Flask project\n")

    click.echo(f'New flask project "{name}" created successfully!')

if __name__ == '__main__':
    cli()
